<?php 
	if( !class_exists( 'WC_Vendors' ) ){
		return;
	}
	
	$widget_id = isset( $widget_id ) ? $widget_id : 'sw_vendor_'.$this->generateID();
	
	
	if( $category ){
		if( !is_array( $category ) ){
			$category = explode( ',', $category );
		}
?>
	<div id="<?php echo esc_attr( $widget_id.rand() ) ?>" class="responsive-slider sw-vendor-container-slider6 loading" data-row="<?php echo esc_attr( $item_row ); ?>" data-lg="<?php echo esc_attr( $columns ); ?>" data-md="<?php echo esc_attr( $columns1 ); ?>" data-sm="<?php echo esc_attr( $columns2 ); ?>" data-xs="<?php echo esc_attr( $columns3 ); ?>" data-mobile="<?php echo esc_attr( $columns4 ); ?>" data-speed="<?php echo esc_attr( $speed ); ?>" data-scroll="<?php echo esc_attr( $scroll ); ?>" data-interval="<?php echo esc_attr( $interval ); ?>" data-autoplay="<?php echo esc_attr( $autoplay ); ?>">
		<?php if( $title1 != '') { ?>
			<div class="box-title"><h3 class="custom-font"><?php echo esc_html( $title1 ); ?></h3></div>
		<?php } ?>
		<div class="resp-slider-container">		
			<div class="slider responsive">
				<?php 
					foreach( $category as $j => $userid ){ 
						$user = get_userdata( $userid );
						$count = count_user_posts( $userid, 'product');
						if( $user ) {
				?>
					<div class="item item-vendor">
						<div class="item-wraps">
						<?php 
							$default = array(
								'post_type' 			=> 'product',		
								'post_status' 			=> 'publish',
								'ignore_sticky_posts'   => 1,
								'showposts'				=> 3,
								'orderby' 				=> 'date',
								'author' => $user->ID,
							);
							$default['tax_query'][] = array(						
								'taxonomy' => 'product_visibility',
								'field'    => 'name',
								'terms'    => 'featured',
								'operator' => 'IN',	
							);							
							$list = new WP_Query( $default );
							if( $list->have_posts() ) {
						?>
							<div class="item-product clearfix">
								<?php 
									$key = 0;
									$count_items = 0;
									$count_items = ( $list->found_posts > 0 ) ? $list->found_posts : count( $list->posts );
									while( $list->have_posts() ) : $list->the_post();
									global $product, $post;
									$class = ( $product->get_price_html() ) ? '' : 'item-nonprice';
									if( $key % 3 == 0 ){
								?>
									<div class="item product item-product-vendor <?php echo esc_attr( $class )?>">
								<?php } ?>
										<div class="item-wrap">
											<div class="item-detail">	
												<div class="item-img products-thumb">
													<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
														<?php 
															$id = get_the_ID();
															echo get_the_post_thumbnail( $post->ID, 'woocommerce_thumbnail',array( 'alt' => $post->post_title ) ) ? get_the_post_thumbnail( $post->ID, 'woocommerce_thumbnail', array( 'alt' => $post->post_title ) ): '<img src="'.get_template_directory_uri().'/assets/img/placeholder/'.'large'.'.png" alt="No thumb">';		
														?>
													</a>
														<!-- add to cart, wishlist, compare -->
													<?php emarket_product_item_bottom(); ?>
												</div>
												<div class="item-content">
													<?php emarket_template_loop_product_title(); ?>	
													<?php emarket_template_rating_custom(); ?>
													<?php woocommerce_template_loop_price(); ?>	
												</div>
											</div>
										</div>
									<?php if( ( $key+1 ) % 3 == 0 || ( $key+1 ) == $count_items ){?> </div><?php } ?>								
								<?php $key++; endwhile; wp_reset_postdata(); ?>
							</div>
						<?php } ?>
						<div class="item-bottom clearfix">
								<div class="item-user">
									<div class="item-user-img clearfix">
										<a href="<?php echo esc_url( WCV_Vendors::get_vendor_shop_page( $user->ID ) ); ?>"><?php echo get_avatar($user->ID, 50); ?></a>
									</div>
									<h4>
										<a href="<?php echo esc_url( WCV_Vendors::get_vendor_shop_page( $user->ID ) ); ?>"><?php echo ( get_user_meta( $user->ID, 'pv_shop_name', true ) ) ? get_user_meta( $user->ID, 'pv_shop_name', true ) : $user->display_name; ?></a>
										<span><?php echo $count. esc_html__(' products','sw_vendor_slider'); ?></span>
									</h4>
								</div>
							</div>
						</div>
				 </div>
				<?php }} ?>
			</div>
		</div>
	</div>
<?php }else{
	echo '<div class="alert alert-warning alert-dismissible" role="alert">
	<a class="close" data-dismiss="alert">&times;</a>
	<p>'. esc_html__( 'There is not vendor on this component', 'sw_vendor_slider' ) .'</p>
	</div>';
}
